Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface ILifeline

    com.change_vision.jude.api.inf.model.ILifeline

All Superinterfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement

All Implemented Interfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement

    public ILifeline

extends INamedElement

Interface for Lifelines.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract IClass` | `getBase()` Get Base Class.
`abstract INamedElement[]` | `getFragments()` Get Interaction fragments(including Messages).
`abstract INamedElement[]` | `getFragments(IInteractionOperand operand)` Get Interaction fragments(including Messages).
`abstract ILifelineLink[]` | `getLifelineLinks()` Get LifelineLinks.
`abstract boolean` | `isDestroyed()` Check if it has a Stop.
`abstract void` | `setBase(IClass base)` Set base Class.

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getClientRealizations, getClientUsages, getConstraints, getDefinition, getDiagrams, getFullName, getFullNamespace, getName, getSupplierDependencies, getSupplierRealizations, getSupplierUsages, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getContainer, getContainers, getId, getOwner, getPresentations, getStereotypes, getTaggedValues, getTypeModifier, hasStereotype, hasStereotype, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getFragments

    abstract INamedElement[] getFragments()

  Get Interaction fragments(including Messages).

  Returns:
    Interaction fragments(including Messages).

### getFragments

    abstract INamedElement[] getFragments(IInteractionOperand operand)

  Get Interaction fragments(including Messages).

  Parameters:
    `operand` - IInteractionOperand.
  Returns:
    Interaction fragments(including Messages).

### getBase

    abstract IClass getBase()

  Get Base Class.

  Returns:
    Base Class.

### isDestroyed

    abstract boolean isDestroyed()

  Check if it has a Stop.

  Returns:
    true it has a Stop / false it does not have a Stop

### getLifelineLinks

    abstract ILifelineLink[] getLifelineLinks()

  Get LifelineLinks.

### setBase

    abstract void setBase(IClass base)

  Set base Class.

  Parameters:
    `base` - base Class
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
                ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
                INVALID_TYPE_MODIFIER_MODEL_ERROR_KEY - if a Type Modifier cannot be set to the model.
                BAD_TRANSACTION_KEY - Bad Transaction.
                HAS_EXCEPTION_KEY - if an exception has occurred.
                READ_ONLY_KEY - if a read-only element is edited.

        Values:
                Error messages for exceptions.

  Since:
    6.6.4

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD